<?php
/*
 * Este arquivo é responsável por salvar o filtro especificado.
 */
 
require_once(__DIR__ . "/../classes/Sistema.php");
set_sistema(Sistema::WIN7);
$sistema = new Sistema(true, true, false);

$invalido = (($_POST['filtro'] == "CUSTOM_DATE" || $_POST['filtro'] == "COMPARACAO") ? (empty($_POST['data1']) || empty($_POST['data2'])) : (false));

// Guarda o filtro especificado
if(!$invalido){
	$sistema->filtro->set_valor($_POST['filtro']);
	$sistema->filtro->set_data_inicio($_POST['data1']);
	$sistema->filtro->set_data_fim($_POST['data2']);

	// Datas adicionais
	// Faz esse if apenas na página de comparacao geral, apos esse if, o codigo seta o filtro para CUSTOM_DATE
	if($_POST['filtro'] == "COMPARACAO") {
		$sistema->filtro->set_data_3($_POST['data3']);
		$sistema->filtro->set_data_4($_POST['data4']);
		$sistema->filtro->set_data_5($_POST['data5']);
		$sistema->filtro->set_data_6($_POST['data6']);
		$sistema->filtro->set_data_7($_POST['data7']);
		$sistema->filtro->set_data_8($_POST['data8']);
	}
}
?>